Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.gui
Interface ViewPart

All Superinterfaces:
  java.util.EventListener, com.beanexplorer.undo.TransactionListener

All Known Subinterfaces:
  EditorPart

All Known Implementing Classes:
  EditorPartSupport, EditorsManager, HtmlView, PropertiesEditor, PropertiesView, TabularPropertiesEditor, ViewPartSupport

public interface ViewPart
extends com.beanexplorer.undo.TransactionListener

Interface to be implemented by viewer for some part of data. It defines component that will be used to show the data and provides TransactionListener that will be notified about data changes. When transaction is completed then view should be updated if necessary.

Field Summary
`static float` | `DEFAULT_PRIORITY`
`static java.lang.String` | `PRIORITY` Constant used by ViewPart action to specify view parts order when they are located in some tabbed pane or other container.
`static java.lang.String` | `STATIC_VIEW` The constant to idicate that view part do not depends from the data, that it is not depends from model passed in explore method.

Method Summary
`boolean` | `canExplore(java.lang.Object model)`
`void` | `explore(java.lang.Object model, Document document)` Notifies the view part that it should explore new data.
`javax.swing.Action` | `getAction()` Return action that contains information about the view part (display name, icon, etc).
`javax.swing.Action[]` | `getActions()` Returns actions that are specific for this view part.
`Document` | `getDocument()` Returns document that is edited.
`java.lang.Object` | `getModel()`
`javax.swing.JComponent` | `getView()` Returns the view.

Methods inherited from interface com.beanexplorer.undo.TransactionListener
`addEdit, completeTransaction, startTransaction`

Field Detail

### PRIORITY

    public static final java.lang.String PRIORITY

  Constant used by ViewPart action to specify view parts order when they are located in some tabbed pane or other container.

  See Also:
    Constant Field Values

### DEFAULT_PRIORITY

    public static final float DEFAULT_PRIORITY

See Also:
  Constant Field Values

### STATIC_VIEW

    public static final java.lang.String STATIC_VIEW

  The constant to idicate that view part do not depends from the data, that it is not depends from model passed in explore method.

  See Also:
    Constant Field Values

Method Detail

### getView

    public javax.swing.JComponent getView()

  Returns the view.

### getAction

    public javax.swing.Action getAction()

  Return action that contains information about the view part (display name, icon, etc).

### getActions

    public javax.swing.Action[] getActions()

  Returns actions that are specific for this view part.

### canExplore

    public boolean canExplore(java.lang.Object model)

### explore

    public void explore(java.lang.Object model,
                        Document document)

  Notifies the view part that it should explore new data.

### getModel

    public java.lang.Object getModel()

### getDocument

    public Document getDocument()

  Returns document that is edited.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.